Bug 207779 - [exp-run] print/harfbuzz split on ICU and non-ICU parts
Summary: [exp-run] print/harfbuzz split on ICU and non-ICU parts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-03-07 14:29 UTC by Vladimir Kondratyev
Modified: 2017-04-27 21:38 UTC (History)
2 users (show)

See Also:
kwm: exp-run?


Attachments
split-harfbuzz.patch (7.43 KB, patch)
2016-03-07 14:29 UTC, Vladimir Kondratyev
no flags Details | Diff
harfbuzz-icu poudriere log (30.91 KB, text/plain)
2016-03-07 14:31 UTC, Vladimir Kondratyev
no flags Details
Reworked harfbuzz-icu split off patch (9.82 KB, patch)
2017-04-21 18:35 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kondratyev freebsd_committer 2016-03-07 14:29:26 UTC
Created attachment 167815 [details]
split-harfbuzz.patch

Avoid installation of MONTSTEROUS ICU library with light-weight DMs like XFCE as it unconditionaly sucked in to system via pango->harfbuzz->icu dependency chain.
This patch strip off ICU-dependent part of harfbuzz into separate port named hardbuzz-icu. Grepping shows that the only users of harfbuzz icu backend are libreoffice, chromium and webkit-gtk, so resulting patch is not very big.
Comment 1 Vladimir Kondratyev freebsd_committer 2016-03-07 14:31:56 UTC
Created attachment 167816 [details]
harfbuzz-icu poudriere log
Comment 2 Koop Mast freebsd_committer 2017-04-21 18:35:35 UTC
Created attachment 181982 [details]
Reworked harfbuzz-icu split off patch
Comment 3 Koop Mast freebsd_committer 2017-04-21 18:39:03 UTC
Assign over to portmgr@ for exp-run.

Please run a exp-run for this patch. I have checked all the ports that define a dependency on harfbuzz. Just want to be sure to catch any "hidden" harfbuzz-icu users.
Comment 4 Antoine Brodin freebsd_committer 2017-04-26 05:28:53 UTC
Exp-run looks fine (done on ports/head@439347)
Comment 5 commit-hook freebsd_committer 2017-04-27 21:32:14 UTC
A commit references this bug:

Author: kwm
Date: Thu Apr 27 21:31:11 UTC 2017
New revision: 439575
URL: https://svnweb.freebsd.org/changeset/ports/439575

Log:
  Split off the harfbuzz icu support into it's own port.

  PR:		207779
  Submitted by:	Vladimir Kondratyev <vladimir@kondratyev.su>
  Exp-run by:	antoine@

Changes:
  head/editors/libreoffice/Makefile
  head/print/Makefile
  head/print/harfbuzz/Makefile
  head/print/harfbuzz/pkg-plist
  head/print/harfbuzz-icu/
  head/print/harfbuzz-icu/Makefile
  head/print/harfbuzz-icu/pkg-plist
  head/print/tex-xetex/Makefile
  head/print/texlive-base/Makefile
  head/www/chromium/Makefile
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk3/Makefile
  head/www/webkit2-gtk3/Makefile
Comment 6 Koop Mast freebsd_committer 2017-04-27 21:38:28 UTC
Committed thanks.